  storage:
    config:
   #####################
   ##### DISKS
   #####################
    - type: disk
      ptable: gpt
      preserve: false
      grub_device: true
      id: os-disk
      match:
        size: smallest
    - type: disk
      ptable: gpt
      wipe: superblock-recursive
      preserve: false
      grub_device: false
      id: storage-disk
      match:
        disk: largest
   #####################
   ##### PARTITIONS
   #####################
    - type: partition
      device: os-disk
      size: 1048576
      flag: bios_grub
      preserve: false
      grub_device: false
      id: grub-partition
    - type: partition
      device: os-disk
      size: 3221225472
      wipe: superblock
      preserve: false
      grub_device: false
      id: tmp-partition
    - type: partition
      device: os-disk
      size: 3221225472
      wipe: superblock
      preserve: false
      grub_device: false
      id: var-log-partition
    - type: partition
      device: os-disk
      size: 10737418240
      wipe: superblock
      preserve: false
      grub_device: false
      id: home-partition
    - type: partition
      device: os-disk
      size: -1
      wipe: superblock
      preserve: false
      grub_device: false
      id: root-partition
    - type: partition
      device: storage-disk
      size: -1
      wipe: superblock
      preserve: false
      grub_device: false
      id: storage-partition
   #####################
   ##### LUKS
   #####################
    - type: dm_crypt
      volume: storage-partition
      key: hello_punkto.org_readers
      recovery_keyfile: null
      preserve: false
      id: storage-dmcrypt
   #####################
   ##### LVM VG's
   #####################
    - type: lvm_volgroup
      name: vg0
      devices:
      - storage-dmcrypt
      preserve: false
      id: storage-vg
   #####################
   ##### LVM LV's
   #####################
    - type: lvm_partition
      name: local
      volgroup: storage-vg
      size: -1
      wipe: superblock
      preserve: false
      id: storage-lv
   #####################
   ##### FILESYSTEMS
   #####################
    - type: format
      fstype: ext4
      volume: tmp-partition
      preserve: false
      id: tmp-filesystem
    - type: format
      fstype: ext4
      volume: var-log-partition
      preserve: false
      id: var-log-filesystem
    - type: format
      fstype: ext4
      volume: home-partition
      preserve: false
      id: home-filesystem
    - type: format
      fstype: ext4
      volume: root-partition
      preserve: false
      id: root-filesystem
    - type: format
      fstype: xfs
      volume: storage-lv
      preserve: false
      id: storage-filesystem
      #####################
      ##### MOUNTPOINTS
      #####################
    - type: mount
      path: /tmp/
      device: tmp-filesystem
      id: tmp-mount
    - type: mount
      path: /var/log/
      device: var-log-filesystem
      id: var-log-mount
    - type: mount
      path: /home
      device: home-filesystem
      id: home-mount
    - type: mount
      path: /
      device: root-filesystem
      id: root-mount
    - type: mount
      path: /local/
      device: storage-filesystem
      id: storage-mount
